"use strict";

// Теоретический вопрос

// Описать своими словами в несколько строчек, зачем в программировании нужны циклы.
// Ответ: Это способ, который позволяет повторить нужное количество раз одно и тоже действие в коде.
// Есть 4 конструкции циклов: for, while, do while и бесконечный цикл while (true).

// Задание

// Реализовать программу на Javascript, которая будет находить все числа кратные 5 (делятся на 5 без остатка) в заданном диапазоне.
//  Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

// Технические требования:
// Считать с помощью модального окна браузера число, которое введет пользователь.
// Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа.
// Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.

let num = +prompt("Input the number");
if (num < 5) {
  console.log("Sorry, no numbers");
} else {
  for (let i = 0; i <= num; i++) {
    if (i % 5 === 0) {
      console.log(i);
    }
  }
}
